Bug 490704 - (mingw32-liboil) Review Request: mingw32-liboil - MinGW Windows liboil library
Review Request: mingw32-liboil - MinGW Windows liboil library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On: mingw32-gcc mingw32-glib2
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-17 13:43 EDT by Levente Farkas
Modified: 2009-05-14 16:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-14 16:49:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rjones: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Levente Farkas 2009-03-17 13:43:29 EDT
Spec URL: http://www.lfarkas.org/linux/packages/centos/5/SPECS/mingw32-liboil.spec
SRPM URL: http://www.lfarkas.org/linux/packages/centos/5/SRPMS/mingw32-liboil-0.3.15-1.src.rpm
Description: MinGW Windows liboil library

Approved packaging guidelines for MinGW are here:
http://fedoraproject.org/wiki/Packaging/MinGW
Comment 1 Richard W.M. Jones 2009-03-17 15:16:18 EDT
Generally looks OK.  Is there a reason why this
is commented out?

#%{_mingw32_libdir}/liboil-0.3*.dll.a
Comment 2 Levente Farkas 2009-03-17 16:45:10 EDT
i updated the files.
anyways it'd be useful write a quick glossary what the *.def *.a *.dll *.dll.a *.la etc and what we should include in which packages.
Comment 3 Richard W.M. Jones 2009-03-18 05:02:09 EDT
The packaging guidelines contain what we agreed to ship:

http://fedoraproject.org/wiki/Packaging/MinGW#Libraries_.28DLLs.29

What they do and whether they are necessary is covered here:

http://fedoraproject.org/wiki/MinGW/Packaging_issues

(Please expand the second link if you know definitive answers
to any of those questions).
Comment 4 Richard W.M. Jones 2009-03-18 06:42:32 EDT
Please develop against Rawhide.  All new packages should
go into Rawhide first, even if they are intended to be
used/backported in EPEL.

Koji scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1248037
Comment 5 Richard W.M. Jones 2009-03-18 06:46:35 EDT
Auto-buildrequires is suggesting the following BuildRequires.
Note the ones marked with '*' which I think should be added ...

  BuildRequires: mingw32-binutils = 2.19.1.4.fc11.x86_64
  BuildRequires: mingw32-cpp = 4.4.0.0.6.fc11.x86_64
* BuildRequires: mingw32-dlfcn = 0.0.5.r11.fc11.noarch
  BuildRequires: mingw32-filesystem = 49.3.fc11.noarch
  BuildRequires: mingw32-gcc = 4.4.0.0.6.fc11.x86_64
* BuildRequires: mingw32-gettext = 0.17.10.fc11.noarch
  BuildRequires: mingw32-glib2 = 2.19.10.1.fc11.noarch
* BuildRequires: mingw32-iconv = 1.12.9.fc11.noarch
  BuildRequires: mingw32-runtime = 3.15.2.3.fc11.noarch
  BuildRequires: mingw32-w32api = 3.13.3.fc11.noarch
* BuildRequires: pkgconfig = 1:0.23.8.fc11.x86_64
Comment 6 Richard W.M. Jones 2009-03-18 06:47:05 EDT
rpmlint is quiet, and package successfully builds in Koji.
Comment 7 Richard W.M. Jones 2009-03-18 06:57:48 EDT
+ rpmlint output
+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license
+ %doc includes license file
+ spec file written in American English
- spec file is legible
  (see below)
+ upstream sources match sources in the srpm
  11dd39b1ca13ce2e0618d4df8303f137 822195
+ package successfully builds on at least one architecture
n/a ExcludeArch bugs filed
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun
n/a does not use Prefix: /usr
n/a package owns all directories it creates
+ no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
n/a header files should be in -devel
n/a static libraries should be in -static
- packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a -devel must require the fully versioned base
n/a packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

n/a if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if available
+ reviewer should build the package in mock
+ the package should build into binary RPMs on all supported architectures
- review should test the package functions as described
n/a scriptlets should be sane
n/a pkgconfig files should go in -devel
n/a shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or /usr/sbin

-------------

Couple of things:

(1) Please add your real name and email address in the first
%changelog description.

(2) The package must have:

  Requires: pkgconfig

When you create a new package, bump the release number and
add a new changelog entry.

You can probably ignore comment 5, since the BuildRequires
look OK.
Comment 8 Levente Farkas 2009-03-18 18:13:11 EDT
for #5 where does this Auto-buildrequires comes from?
anyway it's strange that it can be build in mock without these BRs. also the native packages has no such BRs (eg gettext). on the other hand all these req are comes from gtk2 BR. do you really think i should add them?
i add 
BuildRequires: pkgconfig
Requires: pkgconfig
the changelog contains the name of the real packages i'm just submit it for rr.
Comment 9 Richard W.M. Jones 2009-03-19 05:03:08 EDT
(In reply to comment #8)
> for #5 where does this Auto-buildrequires comes from?

From Fedora of course:
https://admin.fedoraproject.org/pkgdb/packages/name/auto-buildrequires

> anyway it's strange that it can be build in mock without these BRs. also the

Not strange.  Autoconf can decide to compile the package differently
depending on the presence or absence of dependencies.

> native packages has no such BRs (eg gettext). on the other hand all these req
> are comes from gtk2 BR. do you really think i should add them?

HOWEVER in this case I suspect that the dependencies come from
glib2, so you can ignore them, as I said above.

> i add 
> BuildRequires: pkgconfig
> Requires: pkgconfig
> the changelog contains the name of the real packages i'm just submit it for rr.  

Can you post the new URLs please.
Comment 10 Levente Farkas 2009-03-19 05:19:01 EDT
so it's you package:-) can you build it for epel too? thanks.

the url are same:
http://www.lfarkas.org/linux/packages/centos/5/SPECS/mingw32-liboil.spec
http://www.lfarkas.org/linux/packages/centos/5/SRPMS/mingw32-liboil-0.3.15-1.src.rpm
Comment 11 Richard W.M. Jones 2009-03-19 08:50:18 EDT
The URL is wrong, but anyway ...

---------------------------
This package is APPROVED by rjones
---------------------------
Comment 12 Levente Farkas 2009-03-19 09:10:53 EDT
New Package CVS Request
=======================
Package Name: mingw32-liboil
Short Description: MinGW Windows liboil library
Owners: lfarkas rjones
Branches: F-10 EL-5
InitialCC:
Comment 13 Kevin Fenzi 2009-03-19 21:42:01 EDT
cvs done.
Comment 14 Richard W.M. Jones 2009-03-23 07:37:06 EDT
(In reply to comment #8)
> for #5 where does this Auto-buildrequires comes from?

auto-buildrequires is now (or very shortly will be) in EPEL 5.
Comment 15 Richard W.M. Jones 2009-05-14 16:49:35 EDT
This is built now, so closing.

Note You need to log in before you can comment on or make changes to this bug.